Bug 166187 - Review Request: perl-Class-DBI-FromCGI : Update Class::DBI data using CGI::Untaint
Summary: Review Request: perl-Class-DBI-FromCGI : Update Class::DBI data using CGI::Un...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Class-DBI...
Whiteboard:
Keywords:
Depends On: 166181 166184
Blocks: FE-ACCEPT 166203
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:28 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 15:40:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review issues (1.47 KB, patch)
2005-09-07 11:46 UTC, Paul Howarth
no flags Details | Diff

Description Tom "spot" Callaway 2005-08-17 20:28:07 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-FromCGI.spec

SRPM Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-FromCGI-0.94-2.src.rpm

Description: 

Update Class::DBI data using CGI::Untaint

(NOTE: This package is one of the Maypole dependencies)

Comment 1 Paul Howarth 2005-09-07 11:42:52 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec written in English and is legible
- sources match upstream
- package builds OK on FC4 and in mock for rawhide (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- remove redundant BR: perl
- include license text

Nitpick:

- honor %%{_smp_mflags}
- add BR: perl(DBD::SQLite) for better test cover


Comment 2 Paul Howarth 2005-09-07 11:46:36 UTC
Created attachment 118551 [details]
Patch addressing review issues

Comment 4 Paul Howarth 2005-09-08 10:33:25 UTC
Approved.


Note You need to log in before you can comment on or make changes to this bug.